<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Git</title>
</head>

<body>
    <h1>Curso de git </h1>
    <p>ESCREVER NO TERMINAL E VIM name_arquivo
        <br> letra i
        <br> :wq
    </p>

    <h2>========CICLO DO GIT=========</h2>

    <p>No git existem 4 estagios dentro de um ciclo...
        <br> Primeiro estágio se chama untracked, na qual o git ele não reconhece o arquivo dentro de seu repositório
        <br> Segundo estágio se chama unmodified na qual o arquivo não foi editado
        <br> Terceiro estágio se chama modified na qual o arquivo foi modificado
        <br> Quarto estágio se chama staged na qual você direciona a versão do push do git
        <br>
    </p>
    <p>
        Comandos dentro do ciclo:
        <br> git status
        <br> git add nome_arquivo ou * (adiciona tudo)
        <br> git commit -m "meu texto de explicacao"
        <br> git push
        <br> git pull
        <br> git log
        <br> git diff
        <br> git reset HEAD nome_arquivo
        <br> git stash
        <br> git revert minha_id_do_log
        <br>
    </p>
    <p>status = verifica.
        <br> add = adiciona para um pacote onde vai receber o commit.
        <br> commit = comentario para a versão (recomendado sempre dizer o que foi feito).
        <br> push = enviando a versão para o repositório.
        <br> pull = baixar a versão do repositório.
        <br> log = saber o histórico.
        <br> log --decorate = saber quais tag, branch e assim vai.
        <br> diff = mostra o que você modificou (muito importante).
        <br> reset --soft, --mixed e --hard = ele exclui da fila do commit, soft exclui, mixed ele volta a linha, hard exclui
        geral e so submit o que não foi resetado.
        <br> stash = guarda temporario como um pause em seu trabalho no arquivo.
        <br> stash apply = ele aplica e volta para o commit.
        <br> stash list = lista todas as stash.
        <br> revert = ele volta para a versão anterior baseado no log e não no clone ou versão do push.
        <br>
    </p>

    <h2>===BRANCH===</h2>
    <p>Branch ele é caminhos que se cria em paralelo com o master, depois também é possivel mesclar.</p>

    <p>git checkout -b nome_branck = Cria uma branch.
        <br> git branch = lista todos os branch.
        <br> git checkout nome_da_branch = entra na branch que deseja.
        <br> git branch -D nome_da_branch = deleta a branch.
        <br> git merge nome_da_branch = você mescla e depois é so dar git push.
        <br>
    </p>
</body>

</html>